package kr.lunaticbum.back.lun.controllers.view

import org.springframework.stereotype.Controller
import org.springframework.ui.Model
import org.springframework.web.bind.annotation.GetMapping

@Controller
class CustomErrorController {
    @GetMapping("/access-denied")
    fun accessDeniedPage(model: Model): String {
        model.addAttribute("statusCode", "403")
        model.addAttribute("errorMessage", "이 페이지에 접근할 권한이 없습니다.")
        model.addAttribute("errorDescription", "요청하신 리소스에 대한 접근 권한이 부족합니다. 관리자에게 문의하거나 다른 계정으로 로그인해 주세요.")
        return "content/error_page"
    }
}